"use strict";

exports.__esModule = true;
exports.Radio = undefined;

var _style = require("styled-jsx/style");

var _style2 = _interopRequireDefault(_style);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// export const CRadio = ({ group, id, value, label, checked, onChange }) => <label htmlFor={id}>
//     <input
//         type="radio" name={group} id={id}
//         value={value} 
//         checked={checked} onChange={onChange}
//     />
//     <span>{label}</span>
// </label>;

var Radio = exports.Radio = function Radio(_ref) {
  var group = _ref.group,
      id = _ref.id,
      value = _ref.value,
      label = _ref.label,
      checked = _ref.checked,
      onChange = _ref.onChange;

  return _react2.default.createElement(
    "div",
    {
      className: "jsx-1896947279" + " " + "jig-slider"
    },
    _react2.default.createElement(
      "div",
      {
        className: "jsx-1896947279" + " " + "border"
      },
      _react2.default.createElement(
        "label",
        { htmlFor: id, className: "jsx-1896947279" + " " + "switch"
        },
        _react2.default.createElement("input", {
          type: "radio", name: group, id: id, value: value,
          checked: checked, onChange: onChange,
          className: "jsx-1896947279"
        }),
        _react2.default.createElement("span", {
          className: "jsx-1896947279" + " " + "slider round"
        }),
        _react2.default.createElement(
          "p",
          {
            className: "jsx-1896947279"
          },
          label
        )
      )
    ),
    _react2.default.createElement(
      _style2.default,
      {
        id: "1896947279"
      },
      ".jig-slider.jsx-1896947279{font-family:Courier;-webkit-letter-spacing:-.5px;-moz-letter-spacing:-.5px;-ms-letter-spacing:-.5px;letter-spacing:-.5px;font-weight:bold;color:#0074ff;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-pack:left;-webkit-justify-content:left;-ms-flex-pack:left;justify-content:left;-webkit-align-items:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;height:18px;position:relative;margin:15px;margin-right:0;}.jig-slider.jsx-1896947279 .border.jsx-1896947279{border:1px solid #e7e7e7;width:31px;padding:2px;border-radius:34px;}.jig-slider.jsx-1896947279 .switch.jsx-1896947279{position:relative;display:inline-block;width:inherit;height:18px;border-radius:34px;}.jig-slider.jsx-1896947279 .switch.jsx-1896947279 p.jsx-1896947279{position:absolute;width:-webkit-max-content;width:-moz-max-content;width:max-content;left:45px;top:-17px;cursor:pointer;}.jig-slider.jsx-1896947279 .switch.jsx-1896947279 input.jsx-1896947279{opacity:0;width:0;height:0;}.jig-slider.jsx-1896947279 .slider.jsx-1896947279{position:absolute;cursor:pointer;top:0;left:0;right:0;bottom:0;background-color:#ededed;-webkit-transition:.4s;transition:.4s;}.jig-slider.jsx-1896947279 .slider.jsx-1896947279:before{position:absolute;content:\"\";height:16px;width:16px;left:13px;bottom:0;background-color:#fff;border:1px solid #999;-webkit-transition:.4s;transition:.4s;}.jig-slider.jsx-1896947279 input.jsx-1896947279:checked+.slider.jsx-1896947279{background-color:#e7e7e7;}.jig-slider.jsx-1896947279 input.jsx-1896947279:checked+.slider.jsx-1896947279:before{-webkit-transform:translateX(-13px);-ms-transform:translateX(-13px);transform:translateX(-13px);background-color:#0074ff;border:1px solid #0074ff;}.jig-slider.jsx-1896947279 .slider.round.jsx-1896947279{border-radius:34px;}.jig-slider.jsx-1896947279 .slider.round.jsx-1896947279:before{border-radius:50%;}"
    )
  );
};

exports.default = Radio;